Subject: bug#21724: 25.0.50; (void-function (setf epg-context-armor))

From: Glenn Morris <[email-masked]>
Date: Fri, 23 Oct 2015 00:05:09 -0400

Katsumi Yamaoka wrote:

> Thanks.  I see why adding (eval-when-compile (require 'epg))
> caused a new warning.  It marked all the epg functions including
> those autoloads maybe non-existent at the run-time, didn't it?

Yes. I didn't investigate, but it's probably a compiler bug.
It doesn't properly track autoloaded-but-not-actually-defun'd definitions
before eval-when-compile, so whatever statement comes last wins.